%global momorel 3
%global emacsver 23.1
%global e_sitedir %{_datadir}/emacs/site-lisp

Summary: Outline-based notes management and organizer for emacs
Name: elisp-org-mode
Version: 6.28e
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/Editors
Source0: http://orgmode.org/org-%{version}.tar.gz
URL: http://orgmode.org/
BuildArch: noarch
BuildRequires: emacs >= %{emacsver}
BuildRequires: info
Requires: emacsen

%description 
Org-mode is for keeping notes, maintaining ToDo lists, doing project
planning, and authoring with a fast and effective plain-text system.

%package -n org-mode-emacs
Group: Applications/Editors
Summary: Outline-based notes management and organizer for emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n org-mode-emacs
Org-mode is for keeping notes, maintaining ToDo lists, doing project
planning, and authoring with a fast and effective plain-text system.

%prep
%setup -q -n org-%{version}
rm -f contrib/lisp/.DS_Store

%build
make EMACS=emacs \
     lispdir=%{e_sitedir}/org-mode

%install
rm -rf %{buildroot}

make EMACS=emacs \
     lispdir=%{buildroot}%{e_sitedir}/org-mode \
     install

mkdir -p %{buildroot}%{_infodir}
install -m 644 doc/org %{buildroot}%{_infodir}/org-mode

%clean
rm -rf %{buildroot}

%post -n org-mode-emacs
/sbin/install-info %{_infodir}/org-mode %{_infodir}/dir \
    --entry="* Org Mode: (org-mode).      Outline-based notes management and organizer" --section="Emacs"

%preun -n org-mode-emacs
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/org-mode %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc ChangeLog Changes.org README request-assign-future.txt
%doc doc/org.pdf doc/orgcard.pdf
%doc contrib xemacs

%files -n org-mode-emacs
%defattr(-,root,root)
%{e_sitedir}/org-mode
%{_infodir}/org-mode*

%changelog
* Thu Jul 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.28e-3m)
- rebuild against emacs 23.1

* Tue Jul 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.28e-2m)
- rebuild against emacs 23.0.96

* Tue Jun 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.28e-1m)
- update to 6.28e

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.27a-2m)
- rebuild against emacs-23.0.95

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.27a-1m)
- update to 6.27a

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.27-2m)
- rebuild against emacs-23.0.94
 
* Sat May 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.27-1m)
- update to 6.27

* Thu May 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.26d-1m)
- update to 6.26d

* Wed Apr 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.25f-1m)
- initial packaging
